> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invoice summaries

> List invoices with only the fields the summary table renders



## OpenAPI

````yaml invoices.latest.product.live GET /invoices/list-summary
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Invoice Line Items
  - name: Invoices
  - name: Credit Notes
  - name: Invoice Settings
  - name: Credit Note Line Items
paths:
  /invoices/list-summary:
    servers: []
    parameters: []
    get:
      tags:
        - Invoices
      summary: List Invoice summaries
      description: List invoices with only the fields the summary table renders
      operationId: getInvoicesListSummary
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: before
          in: query
          description: before
          required: false
          schema:
            type: string
        - name: after
          in: query
          description: after
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: limit
          required: false
          schema:
            type: integer
            format: int32
        - name: sortOrder
          in: query
          description: sortOrder
          required: false
          schema:
            type: string
            enum:
              - ASC
              - DESC
        - name: sortBy
          in: query
          description: sortBy
          required: false
          schema:
            type: string
        - name: invoiceStatus
          in: query
          description: invoiceStatus
          required: false
          schema:
            type: string
        - name: invoicePaymentStatus
          in: query
          description: invoicePaymentStatus
          required: false
          schema:
            type: string
        - name: customerId
          in: query
          description: customerId
          required: false
          schema:
            type: string
        - name: billingScheduleId
          in: query
          description: billingScheduleId
          required: false
          schema:
            type: string
        - name: dueBefore
          in: query
          description: dueBefore
          required: false
          schema:
            type: string
        - name: dueAfter
          in: query
          description: dueAfter
          required: false
          schema:
            type: string
        - name: sentBefore
          in: query
          description: sentBefore
          required: false
          schema:
            type: string
        - name: sentAfter
          in: query
          description: sentAfter
          required: false
          schema:
            type: string
        - name: invoiceBefore
          in: query
          description: invoiceBefore
          required: false
          schema:
            type: string
        - name: invoiceAfter
          in: query
          description: invoiceAfter
          required: false
          schema:
            type: string
        - name: excludeZeroQuantity
          in: query
          description: excludeZeroQuantity
          required: false
          schema:
            type: boolean
        - name: invoiceCurrency
          in: query
          description: invoiceCurrency
          required: false
          schema:
            type: string
        - name: search
          in: query
          description: search
          required: false
          schema:
            type: string
        - name: invoiceNumber
          in: query
          description: invoiceNumber
          required: false
          schema:
            type: string
        - name: netTotal
          in: query
          description: netTotal
          required: false
          schema:
            type: number
        - name: excludeInvoiceStatus
          in: query
          description: excludeInvoiceStatus
          required: false
          schema:
            type: string
        - name: excludeInvoicePaymentStatus
          in: query
          description: excludeInvoicePaymentStatus
          required: false
          schema:
            type: string
        - name: excludeCustomerId
          in: query
          description: excludeCustomerId
          required: false
          schema:
            type: string
        - name: excludeBillingScheduleId
          in: query
          description: excludeBillingScheduleId
          required: false
          schema:
            type: string
        - name: excludeInvoiceCurrency
          in: query
          description: excludeInvoiceCurrency
          required: false
          schema:
            type: string
        - name: excludeInvoiceNumber
          in: query
          description: excludeInvoiceNumber
          required: false
          schema:
            type: string
        - name: excludeNetTotal
          in: query
          description: excludeNetTotal
          required: false
          schema:
            type: number
        - name: excludeSearch
          in: query
          description: excludeSearch
          required: false
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvoiceListSummaryResponse'
                example:
                  items:
                    - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
                      invoiceNumber: INV2
                      status: DRAFT
                      paymentStatus: UNPAID
                      currency: GBP
                      grossTotal: '10'
                      customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
                      customerLegalCompanyName: Facebook
                      billingScheduleId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                      billingPeriod:
                        start: '2022-10-01'
                        endInclusive: '2022-10-30'
                      dueDate: '2022-11-05'
                      accountingDate: '2022-10-05'
                      links:
                        - externalId: ID
                          externalService: Xero
                          syncTime: '2022-06-28T16:47:00Z'
                          externalUrl: >-
                            https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                InvoiceListSummaryResponse:
                  summary: ''
                  value:
                    items:
                      - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
                        invoiceNumber: INV2
                        status: DRAFT
                        paymentStatus: UNPAID
                        currency: GBP
                        grossTotal: '10'
                        customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
                        customerLegalCompanyName: Facebook
                        billingScheduleId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
                        billingPeriod:
                          start: '2022-10-01'
                          endInclusive: '2022-10-30'
                        dueDate: '2022-11-05'
                        accountingDate: '2022-10-05'
                        links:
                          - externalId: ID
                            externalService: Xero
                            syncTime: '2022-06-28T16:47:00Z'
                            externalUrl: >-
                              https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    InvoiceListSummaryResponse:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
            invoiceNumber: INV2
            status: DRAFT
            paymentStatus: UNPAID
            currency: GBP
            grossTotal: '10'
            customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
            customerLegalCompanyName: Facebook
            billingScheduleId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
            billingPeriod:
              start: '2022-10-01'
              endInclusive: '2022-10-30'
            dueDate: '2022-11-05'
            accountingDate: '2022-10-05'
            links:
              - externalId: ID
                externalService: Xero
                syncTime: '2022-06-28T16:47:00Z'
                externalUrl: >-
                  https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Invoice summaries
          example:
            - id: ba37a392-7054-4dae-ab37-6fee9e23fe06
              invoiceNumber: INV2
              status: DRAFT
              paymentStatus: UNPAID
              currency: GBP
              grossTotal: '10'
              customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
              customerLegalCompanyName: Facebook
              billingScheduleId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
              billingPeriod:
                start: '2022-10-01'
                endInclusive: '2022-10-30'
              dueDate: '2022-11-05'
              accountingDate: '2022-10-05'
              links:
                - externalId: ID
                  externalService: Xero
                  syncTime: '2022-06-28T16:47:00Z'
                  externalUrl: >-
                    https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
          items:
            $ref: '#/components/schemas/InvoiceListSummaryResponseItem'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    InvoiceListSummaryResponseItem:
      required:
        - accountingDate
        - currency
        - customerId
        - customerLegalCompanyName
        - grossTotal
        - id
        - links
        - paymentStatus
        - status
      type: object
      example:
        id: ba37a392-7054-4dae-ab37-6fee9e23fe06
        invoiceNumber: INV2
        status: DRAFT
        paymentStatus: UNPAID
        currency: GBP
        grossTotal: '10'
        customerId: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
        customerLegalCompanyName: Facebook
        billingScheduleId: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        billingPeriod:
          start: '2022-10-01'
          endInclusive: '2022-10-30'
        dueDate: '2022-11-05'
        accountingDate: '2022-10-05'
        links:
          - externalId: ID
            externalService: Xero
            syncTime: '2022-06-28T16:47:00Z'
            externalUrl: >-
              https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
      properties:
        id:
          type: string
          description: Invoice ID
          example: ba37a392-7054-4dae-ab37-6fee9e23fe06
        invoiceNumber:
          type: string
          description: Invoice number
          example: INV2
        status:
          $ref: '#/components/schemas/InvoiceStatus'
          description: Invoice status
        paymentStatus:
          $ref: '#/components/schemas/InvoicePaymentStatus'
          description: Payment status (drives the Status column)
        currency:
          $ref: '#/components/schemas/Currency'
          description: Invoice currency
        grossTotal:
          type: string
          description: Gross total (the Amount column)
          example: '10'
        customerId:
          type: string
          description: The ID of the Customer this invoice is linked to
          example: b3c0cf23-6717-4cdc-b190-acf8aa6ccd8a
        customerLegalCompanyName:
          type: string
          description: Customer's legal company name (the Customer column)
          example: Facebook
        billingScheduleId:
          type: string
          description: >-
            The ID of the billing schedule this invoice was generated from, if
            any
          example: fe2fcd0b-4c53-45c7-b2ae-b6c1a7d21e95
        billingPeriod:
          $ref: '#/components/schemas/InclusiveDateRange'
        dueDate:
          type: string
          description: Due date
          example: '2022-11-05'
        accountingDate:
          type: string
          description: Accounting date (the Date column)
          example: '2022-10-05'
        links:
          type: array
          description: Linked external integration entities (the Links column)
          example:
            - externalId: ID
              externalService: Xero
              syncTime: '2022-06-28T16:47:00Z'
              externalUrl: >-
                https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
          items:
            $ref: '#/components/schemas/LinkInfo'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    InvoiceStatus:
      type: string
      example: DRAFT
      enum:
        - IN_PROGRESS
        - DRAFT
        - FINAL
        - SENT
        - VOIDED
    InvoicePaymentStatus:
      type: string
      example: UNPAID
      enum:
        - UNPAID
        - PARTIALLY_PAID
        - PAID
        - UNCOLLECTIBLE
    Currency:
      type: string
      example: GBP
      enum:
        - AED
        - ARS
        - AUD
        - BRL
        - BGN
        - CAD
        - CHF
        - CLP
        - CNY
        - COP
        - CZK
        - DKK
        - EGP
        - EUR
        - GBP
        - HKD
        - ILS
        - INR
        - ISK
        - JPY
        - KRW
        - MXN
        - NOK
        - NZD
        - PLN
        - SAR
        - SEK
        - SGD
        - THB
        - USD
        - UYU
        - ZAR
    InclusiveDateRange:
      required:
        - endInclusive
        - start
      type: object
      description: Billing period
      example:
        start: '2022-10-01'
        endInclusive: '2022-10-30'
      properties:
        start:
          type: string
          description: Start date, included in the whole range
          example: '2022-10-01'
        endInclusive:
          type: string
          description: End date, included in the whole range
          example: '2022-10-30'
    LinkInfo:
      required:
        - externalId
        - externalService
        - syncTime
      type: object
      example:
        externalId: '123'
        externalService: Xero
        syncTime: '2022-06-28T16:47:00Z'
        externalUrl: https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
      properties:
        externalId:
          type: string
          description: The ID of the related entity in external system
          example: '123'
        externalService:
          $ref: '#/components/schemas/IntegrationService'
          description: The connected service
        syncTime:
          type: string
          description: The time that this was synced from the connected integration
          example: '2022-06-28T16:47:00Z'
        externalUrl:
          type: string
          description: External URL
          example: https://invoicing.xero.com/view/85e52542-3e54-4f0d-872b-33bba11a0504
    IntegrationService:
      type: string
      example: Xero
      enum:
        - Amazon_Redshift
        - GoCardless
        - Google_BigQuery
        - Google_Sheets
        - HubSpot
        - NetSuite
        - QuickBooks_Online
        - Salesforce
        - Slack
        - Snowflake
        - Stripe
        - Xero
        - Avalara
        - Anrok
        - Attio
        - Numeral
        - Rillet
        - Sphere

````